# Properties

Properties
Every object has a number of properties that are handled by the engine. Typically, these are inherited from the object's Prototype, an Object Definition. A Property of an Object Definition is defined with the `local` keyword in the Definition's script:
local Name = "$Name$"; local ActMap = { Stand = { Prototype = Action, Name = "Stand", Length = 1, NextAction = "Stand" }, };

Object Properties
Name
Data type
Description
Prototype
proplist
Name
string
Collectible
Touchable
ActMap
proplist
Visibility
int/array
Controls the visibility of the object. See the detailed documentation of possible values.
LineColors
LineAttach
PictureTransformation
MeshTransformation
MouseDragImage
MouseDrag
Animation
Action
proplist
BreatheWater
CorrosionResist
MaxEnergy
int
MaxBreath
int
ThrowSpeed
int
Parallaxity
[int, int]
The Objects's major Z-Position. See C4D_Parallax.
Plane
int
The Object's minor Z-Position. Negative values are behind the landscape, positive values before it. Use 1-399 for stuff behind Clonks, 401-999 for stuff before Clonks, and 1000+ for GUI objects.
Placement
Integer
Placement: 0 land surface, 1 in liquid, 2 in mid-air, 3 underground, 4 land surface and underground.
BlastIncinerate
Integer
Incineration by explosion: 0 none, otherwise the damage level of incineration.
BurnTo
C4ID
Definition change upon incineration.
NoBurnDecay
Integer
0 or 1. If 1, the object does not decompose if burning.
ContactIncinerate
Integer
Probability of incineration by contact: 0 none, or 1 (high) to 5 (low).

Günther
2011